# This file created by conda-build 3.25.0
# meta.yaml template originally from:
# /__w/cucim/cucim/conda/recipes/libcucim, last modified Wed Oct 11 14:37:47 2023
# ------------------------------------------------

package:
  name: libcucim
  version: 23.10.00
source:
  git_url: ../../..
build:
  ignore_run_exports:
    - libwebp-base
  ignore_run_exports_from:
    - nvcc_linux-aarch64
  number: '0'
  script_env:
    - AWS_ACCESS_KEY_ID
    - AWS_SECRET_ACCESS_KEY
    - AWS_SESSION_TOKEN
    - CMAKE_CUDA_COMPILER_LAUNCHER
    - CMAKE_CXX_COMPILER_LAUNCHER
    - CMAKE_C_COMPILER_LAUNCHER
    - CMAKE_GENERATOR
    - PARALLEL_LEVEL
    - SCCACHE_BUCKET
    - SCCACHE_IDLE_TIMEOUT
    - SCCACHE_REGION
    - SCCACHE_S3_KEY_PREFIX=libcucim-aarch64
    - SCCACHE_S3_NO_CREDENTIALS
    - SCCACHE_S3_USE_SSL
  string: cuda11_231011_g8dd1727_0
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-aarch64_curr_repodata_hack 4 h57d6b7b_13
    - binutils 2.40 h64c2a2e_0
    - binutils_impl_linux-aarch64 2.40 h870a726_0
    - binutils_linux-aarch64 2.40 h94bbfa1_2
    - bzip2 1.0.8 hf897c2e_4
    - c-ares 1.20.1 h31becfc_0
    - ca-certificates 2023.7.22 hcefe29a_0
    - cmake 3.27.6 hef020d8_0
    - cuda-version 11.8 h70ddcb2_2
    - gcc_impl_linux-aarch64 11.4.0 h0207d0b_2
    - gcc_linux-aarch64 11.4.0 h2fab22c_2
    - gxx_impl_linux-aarch64 11.4.0 h0207d0b_2
    - gxx_linux-aarch64 11.4.0 hd6b6b29_2
    - kernel-headers_linux-aarch64 4.18.0 h5b4a56d_13
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.2 hc419048_0
    - ld_impl_linux-aarch64 2.40 h2d8c526_0
    - libcurl 8.4.0 h4e8248e_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libexpat 2.5.0 hd600fc2_1
    - libgcc-devel_linux-aarch64 11.4.0 h7ce4923_2
    - libgcc-ng 13.2.0 hf8544c7_2
    - libgomp 13.2.0 hf8544c7_2
    - libnghttp2 1.52.0 h250e5c5_0
    - libsanitizer 11.4.0 h6bfd624_2
    - libssh2 1.11.0 h492db2e_0
    - libstdcxx-devel_linux-aarch64 11.4.0 h7ce4923_2
    - libstdcxx-ng 13.2.0 h9a76618_2
    - libuv 1.46.0 h31becfc_0
    - libzlib 1.2.13 h31becfc_5
    - make 4.3 h309ac5b_1
    - ncurses 6.4 h2e1726e_0
    - ninja 1.11.1 hdd96247_0
    - nvcc_linux-aarch64 11.8 hc5fb5b2_23
    - openssl 3.1.3 h31becfc_0
    - rhash 1.4.4 h31becfc_0
    - sed 4.8 ha0d5d3d_0
    - sysroot_linux-aarch64 2.17 h5b4a56d_13
    - xz 5.2.6 h9cdd2b7_0
    - zstd 1.5.5 h4c53e97_0
  host:
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 hf897c2e_4
    - cairo 1.18.0 ha13f110_0
    - cuda-version 11.8 h70ddcb2_2
    - expat 2.5.0 hd600fc2_1
    - font-ttf-dejavu-sans-mono 2.37 hab24e00_0
    - font-ttf-inconsolata 3.000 h77eed37_0
    - font-ttf-source-code-pro 2.038 h77eed37_0
    - font-ttf-ubuntu 0.83 hab24e00_0
    - fontconfig 2.14.2 ha9a116f_0
    - fonts-conda-ecosystem 1 0
    - fonts-conda-forge 1 0
    - freetype 2.12.1 hf0a5ef3_2
    - gdk-pixbuf 2.42.10 h1db8359_4
    - gettext 0.21.1 ha18d298_0
    - icu 73.2 h787c7f5_0
    - jbig 2.1 hf897c2e_2003
    - lerc 4.0.0 h4de3ea5_0
    - libdeflate 1.19 h31becfc_0
    - libexpat 2.5.0 hd600fc2_1
    - libffi 3.4.2 h3557bc0_5
    - libgcc-ng 13.2.0 hf8544c7_2
    - libglib 2.78.0 h0464669_0
    - libgomp 13.2.0 hf8544c7_2
    - libiconv 1.17 h9cdd2b7_0
    - libjpeg-turbo 3.0.0 h31becfc_1
    - libnvjpeg 11.6.0.55 h6ae07c9_0
    - libnvjpeg-dev 11.6.0.55 h54d441a_0
    - libpng 1.6.39 hf9034f9_0
    - libsqlite 3.43.2 h194ca79_0
    - libstdcxx-ng 13.2.0 h9a76618_2
    - libtiff 4.6.0 h1708d11_2
    - libuuid 2.38.1 hb4cce97_0
    - libwebp-base 1.3.2 h31becfc_0
    - libxcb 1.15 h2a766a3_0
    - libxml2 2.11.5 h3091e33_1
    - libzlib 1.2.13 h31becfc_5
    - nvtx-c 3.1.0 h8af1aa0_0
    - openjpeg 2.5.0 h0d9d63b_3
    - openslide 3.4.1 hed5e51a_11
    - pcre2 10.40 he7b27c6_0
    - pixman 0.42.2 h2f0025b_0
    - pthread-stubs 0.4 hb9de7d4_1001
    - xorg-kbproto 1.0.7 h3557bc0_1002
    - xorg-libice 1.1.1 h7935292_0
    - xorg-libsm 1.2.4 h5a01bc2_0
    - xorg-libx11 1.8.6 h055a233_0
    - xorg-libxau 1.0.11 h31becfc_0
    - xorg-libxdmcp 1.1.3 h3557bc0_0
    - xorg-libxext 1.3.4 h2a766a3_2
    - xorg-libxrender 0.9.11 h7935292_0
    - xorg-renderproto 0.11.1 h3557bc0_1002
    - xorg-xextproto 7.3.0 h2a766a3_1003
    - xorg-xproto 7.0.31 h3557bc0_1007
    - xz 5.2.6 h9cdd2b7_0
    - zlib 1.2.13 h31becfc_5
    - zstd 1.5.5 h4c53e97_0
  run:
    - cuda-version >=11,<12.0a0
    - cudatoolkit
    - jbig
    - libgcc-ng >=12
    - libstdcxx-ng >=12
    - libwebp-base >=1.3.2,<1.4.0a0
    - libzlib >=1.2.13,<1.3.0a0
    - openslide >=3.4.1,<4.0a0
    - xz >=5.2.6,<6.0a0
    - zlib
    - zstd >=1.5.5,<1.6.0a0
about:
  dev_url: https://github.com/rapidsai/cucim
  doc_url: https://docs.rapids.ai/api/cucim/stable/
  home: https://developer.nvidia.com/multidimensional-image-processing
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: libcucim C++ library
extra:
  copy_test_source_files: true
  final: true
